JOBNAME = filter

FDIR = figures

MACROS = \
  ps-box-macros.tex \
  caption-box-macros.tex \
  tec-rep-macros.tex
  
FIGURES = \
  $(FDIR)/caquinhos-small.eps \
  $(FDIR)/caquinhos-2-a-mag.eps \
  $(FDIR)/match.eps \
  $(FDIR)/contour.eps

NEWTEX := 

all: $(JOBNAME).dvi $(JOBNAME).ps

clean: ;\
  /bin/rm -f $(JOBNAME).dvi $(JOBNAME).ps $(JOBNAME).aux *.log 

$(JOBNAME).dvi: $(JOBNAME).tex $(MACROS) $(FIGURES) ;\
  /bin/rm -f $(JOBNAME).aux ;\
  latex $(JOBNAME).tex &&\
  bibtex $(JOBNAME) &&\
  /bin/rm $(JOBNAME).dvi &&\
  latex $(JOBNAME).tex
  
$(JOBNAME).ps: $(JOBNAME).dvi $(FIGURES) ;\
  $(NEWTEX); dvips -o $(JOBNAME).ps -D600 $(JOBNAME) &&\
  { ghostview $(JOBNAME).ps; }
  
