# Last edited on 2003-10-30 00:44:04 by stolfi 

JOB = filter
EXT     = tex
SIZE    = letter

FDIR = figures

MACROS = \
  ps-box-macros.tex \
  caption-box-macros.tex \
  filter-macros.tex \
  sibgrapi.sty \
  sibdraft.sty
 
NEWTEX := \
  TEXINPUTS=".:${STOLFIHOME}/tex/inputs::"; export TEXINPUTS
  
BIBS = \
  stolfi.bib \
  others.bib \
  students.bib

all: ${JOB}.dvi ${JOB}.ps

${JOB}.aux: ${JOB}.tex ${MACROS} ;\
  /bin/rm -f ${JOB}.aux ;\
  ${NEWTEX}; \
  latex ${JOB}.tex &&\
  /bin/rm -f ${JOB}.dvi ${JOB}.bbl

${JOB}.bbl: ${JOB}.tex ${JOB}.aux ${MACROS} ${BIBS} ;\
  ${NEWTEX}; \
  bibtex ${JOB} && \
  /bin/rm -f ${JOB}.dvi

${JOB}.dvi: ${JOB}.${EXT} ${JOB}.aux  ${JOB}.bbl ${JOB}.bbl ${MACROS} ;\
  ${NEWTEX}; \
  latex ${JOB}.${EXT}
  
${JOB}.ps: ${JOB}.dvi ;\
  ${NEWTEX}; dvips -D600 -t ${SIZE} -o ${JOB}.ps ${JOB} &&\
  ghostview ${JOB}.ps
  
clean: ;\
  /bin/rm -f ${JOB}.dvi ${JOB}.ps ${JOB}.aux *.log 
